# Created by pyp2rpm-3.3.1
%global pypi_name coveralls

Name:           python-%{pypi_name}
Version:        3.3.1
Release:        %mkrel 6
Summary:        Show coverage stats online via coveralls.io
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/coveralls
Source0:        %{pypi_source}
Patch1:         coveralls-coverage.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-sphinxcontrib_trio

%description
coveralls.io is a service for publishing your coverage stats online.

This package provides seamless integration with coverage.py (and thus
pytest, nosetests, etc...) in your Python projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
coveralls.io is a service for publishing your coverage stats online.

This package provides seamless integration with coverage.py (and thus
pytest, nosetests, etc...) in your Python projects.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files coveralls

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/coveralls


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.3.1-6.mga10
+ Revision: 2239841
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 3.3.1-5.mga10
+ Revision: 2156880
- rebuild for python3.13

* Thu Feb 29 2024 papoteur <papoteur> 3.3.1-4.mga10
+ Revision: 2045750
- rebuild for python 3.12
- use pyproject macros

* Wed Mar 30 2022 umeabot <umeabot> 3.3.1-3.mga9
+ Revision: 1834937
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 wally <wally> 3.3.1-2.mga9
+ Revision: 1774248
- loosen coverage deps

* Sun Feb 13 2022 wally <wally> 3.3.1-1.mga9
+ Revision: 1774170
- new vesion 3.3.1
- rebuild for python3.10

* Sat Aug 28 2021 wally <wally> 3.2.0-1.mga9
+ Revision: 1743103
- new version 3.2.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 3.0.1-1.mga9
+ Revision: 1705849
- new version 3.0.1
+ neoclust <neoclust>
- Rebuild against python 3.9

* Fri Oct 02 2020 kekepower <kekepower> 2.1.2-1.mga8
+ Revision: 1631587
- Update to version 2.1.2

* Thu Apr 09 2020 kekepower <kekepower> 2.0.0-1.mga8
+ Revision: 1565690
- Update to version 2.0.0

* Sun Feb 16 2020 umeabot <umeabot> 1.8.2-4.mga8
+ Revision: 1531392
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.8.2-3.mga8
+ Revision: 1439708
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 1.8.2-2.mga8
+ Revision: 1435618
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 1.5.1-1.mga7
+ Revision: 1350310
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1288552
- Mageia 7 Mass Rebuild

* Thu Sep 20 2018 kekepower <kekepower> 1.5.0-1.mga7
+ Revision: 1288433
- Update to version 1.5.0

* Tue Aug 28 2018 kekepower <kekepower> 1.4.0-1.mga7
+ Revision: 1255335
- Update to version 1.4.0

* Fri Apr 20 2018 kekepower <kekepower> 1.3.0-1.mga7
+ Revision: 1220501
- imported package python-coveralls

